export interface TSConfigReference {
    path: string;
}
export interface TSConfig {
    extends?: string | string[];
    compilerOptions?: {
        noEmit?: boolean;
        composite?: boolean;
    };
    references?: TSConfigReference[];
}
export declare class TsConfigResolver {
    private cache;
    constructor();
    resolve(path: string): Promise<TSConfig>;
    isReferencedInRootConfig(path: string): Promise<boolean>;
}
//# sourceMappingURL=TsConfigResolver.d.ts.map